Bug 518300 - anaconda 12.16 locks up at x startup
Summary: anaconda 12.16 locks up at x startup
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drivers
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-19 19:04 UTC by Clyde E. Kunkel
Modified: 2018-04-11 08:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-07 03:36:05 UTC


Attachments (Terms of Use)
dmesg output from vesa try (52.72 KB, text/plain)
2009-08-20 12:22 UTC, Clyde E. Kunkel
no flags Details
anaconda log from vesa try (1.82 KB, text/plain)
2009-08-20 12:24 UTC, Clyde E. Kunkel
no flags Details
X log from vesa try (61.50 KB, text/plain)
2009-08-20 12:25 UTC, Clyde E. Kunkel
no flags Details
x log from running FC 11 on same system (90.92 KB, application/octet-stream)
2009-08-20 12:27 UTC, Clyde E. Kunkel
no flags Details

Description Clyde E. Kunkel 2009-08-19 19:04:09 UTC
Description of problem:
In tty-1 when starting x msg appears, screen goes blank and cursor is in upper left

Version-Release number of selected component (if applicable):
12.16

How reproducible:
tried 2 times

Steps to Reproduce:
1. boot boot.iso
2.
3.
  
Actual results:
per description

Expected results:
normal install

Additional info:
all ttys dead, no other info available..
shifting to vesa driver allows installation.  This machine has radeon graphics RV630 [Radeon HD 2600 Series]

Comment 1 Clyde E. Kunkel 2009-08-20 00:20:31 UTC
same failures on separate machines: 

ATI Technologies Inc Mobility Radeon HD 3600 Series

and on ATI Radeon HD 3800 series


nomodeset has no effect

Comment 2 Matěj Cepl 2009-08-20 10:07:49 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information especially concerning your hardware we require that will be helpful in our diagnosis of this issue.

If the anaconda crashes during the switching to the graphic mode, most likely the problem lies in Xorg support for your graphics chip. There are couple of options how we can obtain information necessary for resolving the issue.

If the computer is not completely frozen when installation fails, switch to the console (Ctrl+Alt+F2) and copy /tmp/X* and /var/log/anaconda.xlog to some other place -- USB stick, some other computer via network, somewhere on the Internet, and please attach it to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

If the computer is completely useless after installation fails, you can also install Fedora with a VESA mode driver (see https://fedoraproject.org/wiki/Documentation_Beats_Installer
for more information on that). Then after successful installation you can collect /var/log/anaconda.xlog, /var/log/Xorg.0.log, and the output of the program dmesg instead.

Or you can install Fedora in a text mode completely, and then start X after that. If it fails, still /var/log/Xorg.0.log and the output of dmesg program from the failed attempt to start X would be useful.

We will review this issue again once you've had a chance to attach this information.

Thank you very much in advance.

Comment 3 Clyde E. Kunkel 2009-08-20 12:22:33 UTC
Created attachment 358077 [details]
dmesg output from vesa try

From vesa try.  Did not go ahead with the install since got by the original problem.

Comment 4 Clyde E. Kunkel 2009-08-20 12:24:12 UTC
Created attachment 358078 [details]
anaconda log from vesa try

Comment 5 Clyde E. Kunkel 2009-08-20 12:25:01 UTC
Created attachment 358079 [details]
X log from vesa try

No other requested files were present...

Comment 6 Clyde E. Kunkel 2009-08-20 12:27:13 UTC
Created attachment 358080 [details]
x log from running FC 11 on same system

If useful, here is xorg.0.log from same system booted into up-to-date FC11.

Comment 7 Matěj Cepl 2009-11-05 17:14:12 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 8 Clyde E. Kunkel 2009-11-05 19:20:52 UTC
The problem did not occur with anaconda 12.43 and rawhide image of 200911204.

HOWEVER, please allow a test with another install image in order to be
definitive

Comment 9 Clyde E. Kunkel 2009-11-07 03:36:05 UTC
Closing now.  I gave anaconda 12.45 on rawhide boot.iso of 20091106 a good work out, nice job all.


Note You need to log in before you can comment on or make changes to this bug.